## GUPnPDLNAProfile

GUPnPDLNAProfile — Object representing a DLNA profile

## Functions

const gchar * | gupnp_dlna_profile_get_name ()
const gchar * | gupnp_dlna_profile_get_mime ()
gboolean | gupnp_dlna_profile_get_extended ()
GList * | gupnp_dlna_profile_get_container_restrictions ()
GList * | gupnp_dlna_profile_get_audio_restrictions ()
GList * | gupnp_dlna_profile_get_image_restrictions ()
GList * | gupnp_dlna_profile_get_video_restrictions ()

## Properties

gpointer | audio-restrictions | Read / Write / Construct Only
gpointer | container-restrictions | Read / Write / Construct Only
gboolean | extended | Read / Write / Construct Only
gpointer | image-restrictions | Read / Write / Construct Only
char * | mime | Read / Write / Construct Only
char * | name | Read / Write / Construct Only
gpointer | video-restrictions | Read / Write / Construct Only

## Types and Values

struct | GUPnPDLNAProfileClass

## Object Hierarchy

        GObject
        ╰── GUPnPDLNAProfile

## Description

The GUPnPDLNAProfileGuesser object provides a few APIs that return GUPnPDLNAProfile objects. These represent a single DLNA profile. Each GUPnPDLNAProfile has a name (the name of the DLNA profile) and the corresponding MIME type.

Public representation of the various audio/container/image/video restrictions specified for that DLNA profile is to be added.

## Functions

### gupnp_dlna_profile_get_name ()

    const gchar *
    gupnp_dlna_profile_get_name (GUPnPDLNAProfile *profile);

#### Parameters

profile | The GUPnPDLNAProfile object. |

#### Returns

The name of the DLNA profile represented by `profile` .

### gupnp_dlna_profile_get_mime ()

    const gchar *
    gupnp_dlna_profile_get_mime (GUPnPDLNAProfile *profile);

#### Parameters

profile | The GUPnPDLNAProfile object. |

#### Returns

The DLNA MIME type of the DLNA profile represented by `profile` .

### gupnp_dlna_profile_get_extended ()

    gboolean
    gupnp_dlna_profile_get_extended (GUPnPDLNAProfile *profile);

#### Parameters

profile | The GUPnPDLNAProfile object. |

#### Returns

`TRUE` if `profile` is extended one and `FALSE` otherwise.

### gupnp_dlna_profile_get_container_restrictions ()

    GList *
    gupnp_dlna_profile_get_container_restrictions
                                   (GUPnPDLNAProfile *profile);

Gets a list of container restrictions.

#### Parameters

profile | A profile. | [transfer none]

#### Returns

Container restrictions. Do not modify.

[transfer none][element-type GUPnPDLNARestriction]

### gupnp_dlna_profile_get_audio_restrictions ()

    GList *
    gupnp_dlna_profile_get_audio_restrictions
                                   (GUPnPDLNAProfile *profile);

Gets a list of audio restrictions.

#### Parameters

profile | A profile. | [transfer none]

#### Returns

Audio restrictions. Do not modify.

[transfer none][element-type GUPnPDLNARestriction]

### gupnp_dlna_profile_get_image_restrictions ()

    GList *
    gupnp_dlna_profile_get_image_restrictions
                                   (GUPnPDLNAProfile *profile);

Gets a list of image restrictions.

#### Parameters

profile | A profile. | [transfer none]

#### Returns

Image restrictions. Do not modify.

[transfer none][element-type GUPnPDLNARestriction]

### gupnp_dlna_profile_get_video_restrictions ()

    GList *
    gupnp_dlna_profile_get_video_restrictions
                                   (GUPnPDLNAProfile *profile);

Gets a list of video restrictions.

#### Parameters

profile | A profile. | [transfer none]

#### Returns

Video restrictions. Do not modify.

[transfer none][element-type GUPnPDLNARestriction]

## Types and Values

### struct GUPnPDLNAProfileClass

    struct GUPnPDLNAProfileClass {
            GObjectClass parent_class;
    };

#### Members

## Property Details

### The `“audio-restrictions”` property

      “audio-restrictions”       gpointer

Audio restrictions for the DLNA Profile.

Owner: GUPnPDLNAProfile

Flags: Read / Write / Construct Only

### The `“container-restrictions”` property

      “container-restrictions”   gpointer

Container restrictions for the DLNA Profile.

Owner: GUPnPDLNAProfile

Flags: Read / Write / Construct Only

### The `“extended”` property

      “extended”                 gboolean

Whether the DLNA profile is not a part of DLNA specification.

Owner: GUPnPDLNAProfile

Flags: Read / Write / Construct Only

Default value: FALSE

### The `“image-restrictions”` property

      “image-restrictions”       gpointer

Image restrictions for the DLNA Profile.

Owner: GUPnPDLNAProfile

Flags: Read / Write / Construct Only

### The `“mime”` property

      “mime”                     char *

MIME type of the DLNA profile.

Owner: GUPnPDLNAProfile

Flags: Read / Write / Construct Only

Default value: NULL

### The `“name”` property

      “name”                     char *

Name of the DLNA profile.

Owner: GUPnPDLNAProfile

Flags: Read / Write / Construct Only

Default value: NULL

### The `“video-restrictions”` property

      “video-restrictions”       gpointer

Video restrictions for the DLNA Profile.

Owner: GUPnPDLNAProfile

Flags: Read / Write / Construct Only